Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236194 - cdrkit packages: Bad Provides + conflicts
Summary: cdrkit packages: Bad Provides + conflicts
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: cdrkit
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Harald Hoyer
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE7Target
TreeView+ depends on / blocked
 
Reported: 2007-04-12 13:34 UTC by Michael Schwendt
Modified: 2007-11-30 22:12 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-21 10:34:14 UTC


Attachments (Terms of Use)

Description Michael Schwendt 2007-04-12 13:34:33 UTC
> genisoimage - 1.1.2-3.fc7.i386  
> provides mkisofs EQ 9 2.01 10.1 
> fedora-extras-development-i386
>    but there is: mkisofs - 9:2.01-11.fc7.i386

Please remove the "Provides: mkisofs = ..." from the package.

Installing mkisofs removes genisoimage. For background refer
to the current gtkhtml38 thread on fedora-test-list and the ticket
linked therein.

Comment 1 Michael Schwendt 2007-04-12 13:36:14 UTC
False positive, it seems.

Comment 2 Michael Schwendt 2007-04-12 13:37:28 UTC
Updating to  mkisofs-2.01-11.fc7.i386.rpm  removes genisoimage

Comment 3 Michael Schwendt 2007-04-12 13:56:32 UTC
-icedax and -wodim packages are affected, too, because the cdrecord
and cdda2wav pkgs in core are newer:

$ rpm -q genisoimage
genisoimage-1.1.2-3.fc7
$ yum install mkisofs
[...]
Running Transaction
  Installing: mkisofs                      ######################### [1/2] 
  Removing  : genisoimage                  ######################### [2/2]

$ rpm -q mkisofs
mkisofs-2.01-11.fc7
$ yum install genisoimage
[...]
Transaction Check Error:
  file /usr/bin/isodebug from install of genisoimage-1.1.2-3.fc7 conflicts with
file from package mkisofs-2.01-11.fc7
  file /usr/bin/isodump from install of genisoimage-1.1.2-3.fc7 conflicts with
file from package mkisofs-2.01-11.fc7
  file /usr/bin/isoinfo from install of genisoimage-1.1.2-3.fc7 conflicts with
file from package mkisofs-2.01-11.fc7
  file /usr/bin/isovfy from install of genisoimage-1.1.2-3.fc7 conflicts with
file from package mkisofs-2.01-11.fc7
  file /usr/bin/mkhybrid from install of genisoimage-1.1.2-3.fc7 conflicts with
file from package mkisofs-2.01-11.fc7
  file /usr/bin/mkisofs from install of genisoimage-1.1.2-3.fc7 conflicts with
file from package mkisofs-2.01-11.fc7


Is this really expected? The Obsoletes and Provides cause rpm to
jump forth and back between the packages in Extras and Core until
there is a conflict, because the packages in Core are newer than
what is obsoleted by the cdrkit packages.


Comment 4 Harald Hoyer 2007-04-16 13:57:21 UTC
Hmm, better remove the version numbers from Obsoletes and Provides??

Comment 5 Harald Hoyer 2007-04-16 14:11:10 UTC
another alternative would be "alternatives"

Comment 6 Jason Tibbitts 2007-04-16 14:54:53 UTC
The packages which cdrkit obsoletes were supposed to be removed from core.  As
far as I can tell, cdrkit is providing and obsoleting precisely what is should,
but the core stuff did not go away as it should have.

I think that's something to take up with whoever is supposed to ensure that
those packages be removed.

Comment 7 Jason Tibbitts 2007-04-16 18:59:00 UTC
OK, I dropped into the releng meeting.  The plan seems to be to get this fixed
as part of the merge, which supposedly will happen before the release.  The old
packages will be dropped at that time.  (If it doesn't happen before the
release, I have no idea what's going to happen, but those packages can't be
pulled now or else a bunch of other stuff in core will end up with broken
dependencies.)

What needs to happen now is to fix up the Obsoletes: and Provides: for the
cdrkit packages so that they are actually higher than the obsolete packages
currently in rawhide.  It seems those packages were bumped just after cdrkit was
approved.  There's no need to worry about alternatives.


Note You need to log in before you can comment on or make changes to this bug.